igeo.io

## Class I3DXML.Reference3D

- java.lang.Object
- - igeo.io.I3DXML.I3DXMLNode
  - - igeo.io.I3DXML.Reference3D

- Enclosing class:
    I3DXML

      public static class I3DXML.Reference3D
      extends I3DXML.I3DXMLNode

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<I3DXML.I3DXMLNode>` | `components`
    `java.util.ArrayList<I3DXML.I3DXMLNode>` | `instances`

    - ### Fields inherited from class igeo.io.I3DXML.I3DXMLNode

      `id, name, nameDelimiter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Reference3D()`
    `Reference3D(int id)`
    `Reference3D(int id, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComponent(I3DXML.I3DXMLNode n)`
    `void` | `addInstance(I3DXML.Instance3D instance)`
    `java.util.ArrayList<IGeometry>` | `instantiate(IMatrix4 transform)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### components

          public java.util.ArrayList<I3DXML.I3DXMLNode> components

    - #### instances

          public java.util.ArrayList<I3DXML.I3DXMLNode> instances

  - ### Constructor Detail

    - #### Reference3D

          public Reference3D()

    - #### Reference3D

          public Reference3D(int id)

    - #### Reference3D

          public Reference3D(int id,
                             java.lang.String name)

  - ### Method Detail

    - #### addInstance

          public void addInstance(I3DXML.Instance3D instance)

    - #### addComponent

          public void addComponent(I3DXML.I3DXMLNode n)

    - #### instantiate

          public java.util.ArrayList<IGeometry> instantiate(IMatrix4 transform)

      Overrides:
        `instantiate` in class `I3DXML.I3DXMLNode`